
package com.tmerclub.cloud.supplier.constant;

/**
 * 审核状态
 *
 * @author YXF
 */
public enum AuditStatus {

    /**
     * 未审核
     */
    WAITAUDIT(0),
    /**
     * 已通过
     */
    SUCCESSAUDIT(1),

    /**
     * 未通过
     */
    FAILAUDIT(-1),

    /**
     * 平台下线
     */
    OFFLINE(2);

    private final Integer num;

    public Integer value() {
        return num;
    }

    AuditStatus(Integer num) {
        this.num = num;
    }

    public static AuditStatus instance(Integer value) {
        AuditStatus[] enums = values();
        for (AuditStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
